Announcement

Collapse
No announcement yet.

After 4.0.2 upgrade new users can't login after logging out

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • [Forum] After 4.0.2 upgrade new users can't login after logging out

    I got a few reports, so I tried it myself. Created a new account, able to browse/view welcome PM. I then deleted cookies, so it logged me out. Try to log in again as that new user - get invalid username/password message. I am able to log in with my regular account just fine.
    Reno4x4.com
    OverlandHUB.com

  • #2
    Did you run the install/upgrade_402_salt.php script when doing the upgrade?

    Please don't PM or VM me for support - I only help out in the threads.
    vBulletin Manual & vBulletin 4.0 Code Documentation (API)
    Want help modifying your vbulletin forum? Head on over to vbulletin.org
    If I post CSS and you don't know where it goes, throw it into the additional.css template.

    W3Schools <- awesome site for html/css help

    Comment


    • #3
      Originally posted by Lynne View Post
      Did you run the install/upgrade_402_salt.php script when doing the upgrade?
      I did.

      I just ran it again and it now works. What does the script do?
      Reno4x4.com
      OverlandHUB.com

      Comment


      • #4
        It updates the salt field in the database to be larger.

        Please don't PM or VM me for support - I only help out in the threads.
        vBulletin Manual & vBulletin 4.0 Code Documentation (API)
        Want help modifying your vbulletin forum? Head on over to vbulletin.org
        If I post CSS and you don't know where it goes, throw it into the additional.css template.

        W3Schools <- awesome site for html/css help

        Comment


        • #5
          Isn't salt.php supposed to be run automatically? I did a plain upgrade and there was no warning anywhere about this. The upgrade seemed fine and it's by coincidence that I run into this. Because I can still login to my own account, but new users and updated passwords can't.

          The database turns out to be still salt char(3).

          This could become a very serious and hairpulling problem and simply means death for any forum. No new users and any reset renders an account worthless. The user can do nothing about it, nor I using the ACP.

          I understand that this Suite changed a lot and that there will be extra problems, but I really hope the upgrade will become more robust.

          Comment


          • #6
            No, it isn't supposed to be run automatically. If you look at the announcement, he specifically states to run it. It is needed to modify the database. If you don't run it, then you WILL have problems.

            Please don't PM or VM me for support - I only help out in the threads.
            vBulletin Manual & vBulletin 4.0 Code Documentation (API)
            Want help modifying your vbulletin forum? Head on over to vbulletin.org
            If I post CSS and you don't know where it goes, throw it into the additional.css template.

            W3Schools <- awesome site for html/css help

            Comment


            • #7
              Same issue for me.
              I ran the 4.0.2_salt script when it was released.
              Updated to pl4 over the weekend.

              EDIT: Fixed
              Changed user.salt from 3 to 30 even though I know I ran the salt upgrade and again went through the process with pl4.
              Last edited by steven s; Mon 29th Mar '10, 11:00am.
              ...steven
              www.318ti.org (vB3.8) | www.nccbmwcca.org (vB4.2)
              bmwcca.org/forum | m135i.net
              "I tried to clean this up but this thread is beyond redemption." - Steve Machol

              Comment


              • #8
                Originally posted by Lynne View Post
                No, it isn't supposed to be run automatically. If you look at the announcement, he specifically states to run it. It is needed to modify the database. If you don't run it, then you WILL have problems.
                where does it say that?
                http://www.vbulletin.com/forum/showt...-Now-Available

                I don't see this file at all..

                install/upgrade_402_salt.php
                -- Web Developer for hire
                ---Online Marketing Tools and Articles

                Comment


                • #9
                  we upgraded to 4.0.4 and had this problem, why would we need to run a 4.0.2_salt file? (which I still don't see)

                  thx
                  -- Web Developer for hire
                  ---Online Marketing Tools and Articles

                  Comment

                  Related Topics

                  Collapse

                  Working...
                  X